org.apache.lucene.analysis

## Class BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl

All Implemented Interfaces:
  Cloneable, BaseTokenStreamTestCase.CheckClearAttributesAttribute, Attribute

Enclosing class:
  BaseTokenStreamTestCase

    public static final class BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl
    extends AttributeImpl
    implements BaseTokenStreamTestCase.CheckClearAttributesAttribute

Attribute that records if it was cleared or not. This is used for testing that clearAttributes() was called correctly.

### Constructor Summary

Constructors
Constructor and Description
`BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl()`

### Method Summary

Methods
`void` `clear()`
`void` `copyTo(AttributeImpl target)`
`boolean` `equals(Object other)`
`boolean` `getAndResetClearCalled()`
`int` `hashCode()`

### Methods inherited from class org.apache.lucene.util.AttributeImpl

`clone, reflectAsString, reflectWith`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl

    public BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl()

### Method Detail

#### getAndResetClearCalled

    public boolean getAndResetClearCalled()

Specified by:
  `getAndResetClearCalled` in interface `BaseTokenStreamTestCase.CheckClearAttributesAttribute`

#### clear

    public void clear()

Specified by:
  `clear` in class `AttributeImpl`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### copyTo

    public void copyTo(AttributeImpl target)

Specified by:
  `copyTo` in class `AttributeImpl`